/* ========================= */
/* ---> CONTACT <----------- */
/* ========================= */
    #contact {
        width: 100%;
        background-color: $light-gray;
        
        #bg-map {
            width: 100%;
            height: auto;
            position: relative;
            #img-map {
                position: absolute;
                height: 750px;
            }
            #contact-form {
                display: flex;
                flex-direction: column;
                justify-content: space-around;
                
                background-color: $form-color;
                border: 1px solid $border-form-color;
                border-radius: 5px;
                    -webkit-border-radius: 5px;
                    -moz-border-radius: 5px;
                    -o-border-radius: 5px;
                    -ms-border-radius: 5px;
                height: auto;

                position: absolute;
                right: 11%; 
                top: 60px;
                width: 380px;

                h2 { font-weight: bold; }
                
                #address {

                    h2 {
                        margin-top: 30px !important;
                        margin-left: 10px ;
                    }
   
                    address { 
                        margin: 10px 0 15px 10px;                    }
                }
                
                input, textarea {
                    padding: 15px !important;
                    width: 92% !important;
                    margin: 13px !important;
                    font-size: 1em;
                    font-weight: 600 !important;
                    border: 1px solid $border-form-color;
                    color: #8d8a8a !important;
    
                    &[placeholder] {
                        font-size: 0.9em;
                    }
                }
    
                input {            
                    border-radius: 4px;
    
                    &[placeholder] {
                        color :rgba(14, 14, 14, 0.623) ;
                    }
                }
    
                textarea {
                    border-radius: 5px;
                    height: 150px !important;
    
                    &[placeholder] {
                        color :rgb(95, 90, 90) ;
                    }
                }
                
                #message { height: 150px; }
            
                #form-btn-submit {
                    width: 40%;
                    height: 37px;
                    margin: 10px 13px;
                    background-color: #5CADD3;
                    border-radius: 5px;
                    border: 0;
                    border-bottom: solid #4494BB;
                    font-size: 1.2em;
                    font-weight: bold;
                    color: white;
                }
    
                #form-btn-submit:hover {
                    border: 3px solid $dark-blue;
                    color: $white;
                    box-shadow: $light-blue 0 2px 5px 0;
                }
            }
        }        
    }

    //====================================== //
    // =========> MEDIA QUERIES <=========== //
    //====================================== //
@media only screen and (max-width: 1280px ) {
    #contact {
        #bg-map {
            #contact-form {
                top: 75px;
                input, textarea {
                    margin: 8px !important;
                }
                #form-btn-submit { padding: 8px;}
            }
        }  
    }
}
@media only screen and (max-width: 1024px) {
    #contact {
        #anchor-contact { position: relative; bottom: 115px;}
        #bg-map{
            #img-map {
                display: none;
            }
            #contact-form {
                background-color: white;
                position: initial;
                max-width: 100%;
                width: 100%;
                height: auto;
                border: none;

                #address { 
                    h2 { margin-left: 6%; }
                    address { 
                        display: flex;
                        flex-direction: column;
                        justify-content: space-around;
                        align-items: center;
                        width: 100%;    
                        h2 { margin: 15px;}
                        address { text-align:center;line-height: 20px;    }
                    }
                }
                .form-group {
                    text-align: center;
                }
                input, textarea {
                    height: 42px;
                    font-size: 1.4em !important;
                }
                input {  padding: 30px !important; }
                textarea { height: 280px !important; padding-left: 3.5% !important; }
                #form-btn-submit { margin: 25px auto; }
            }
        }
        #bg-map-2 {
            height: 350px;

            background-image: url(../images/map.png);
            background-position: fixed;
            background-repeat: no-repeat;
            background-size: cover;
        }
    }
}
@media only screen and (max-width: 980px) {
    #contact {
        #bg-map{
            #contact-form {
                position: initial;
                background-color: $white;
                input, textarea {
                    font-family: roboto;
                    font-size: 1em;
                    border: 1px solid rgba(82, 82, 82, 0.423);
                    border-radius: 5px;
                    &[placeholder] {
                        font-size: 0.9em;
                    }
                }
                input {
                    height: 40px;   
                    &[placeholder] {
                        color :rgba(14, 14, 14, 0.623) ;
                    }
                }
                textarea {
                    &[placeholder] {
                        color :rgb(14, 14, 14) ;
                    }
                }
            }
        }
    }
}
@media only screen and (max-width: 618px) {
    #contact {
        #bg-map{
            #contact-form {
                #address{ h2 { margin: auto; text-align: center !important; } 
                    address {text-align: center !important; margin-left: 0; margin-top: 25px;}
                }
            }
        }
    }
}
@media only screen and (max-width: 480px) { 
    #contact {
        #bg-map{
            margin-top: 30px;
            background-image: none;
            #contact-form {
                margin: 0px;
               #address { address {   margin-bottom: 0px !important; }}
            }
        }
        #form-btn-submit {
            margin: auto;
            &:active {
                border: 3px solid $dark-blue;
                color: $white;
                box-shadow: $light-blue 0 2px 5px 0;
            }
        }
    }
}
